@import url("../css2-1");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Raleway", sans-serif;
}

:root {
  --primary-theme: #001d3d;
  --primary-clr: #3d52a0;
  --secondary-clr: #7091e6;
  --white-clr: #fff;
  --gray-clr: #8697c4;
  --light-gray-clr: #adbbda;
  --light-white-clr: #ede8f5;
  --dark-clr: #00173c;
  --black-clr: #000000;
  --yellow-clr: #f8a501;
  --orange-clr: #ff7c69;
}
/* 
.homeblogsection_wrapper {
  border: 1px solid red;
}
 */
.homeblogsection {
  /* border: 1px solid red; */
  /* margin-top: 100px !important; */
  background-image: url("../assets/RDG-page-BG-3\ \(1\).png");
  background-color: #fbfbfb;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;

  padding: 120px 0;
}

.homeblogsection_main_wrapper {
  /* border: 2px solid blue; */
  height: 250px;
  overflow: hidden;
  margin-bottom: 30px;
}

.homeblogsection_blog_container p {
  font-size: 14px;
  padding-right: 150px;
  padding-top: 20px;
}

.homeblogsection_main_wrapper_blog_card {
  /* border: 1px solid green; */
  display: flex;
  justify-content: start;
  align-items: start;
  width: 600px;
  margin-bottom: 30px;
}
.homeblogsection_main_wrapper_blog_card img {
  /* border: 4px solid black; */
  width: 30%;
  border-radius: 4px;
  /* margin-right: 20px; */
}
.homeblogsection_main_wrapper_blog_card_content {
  /* border: 2px solid black; */
  padding-left: 20px;
  width: 70%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.homeblogsection_main_wrapper_blog_card_content .date {
  font-size: 14px;
  font-weight: 500;
  color: var(--gray-clr);
}
.homeblogsection_main_wrapper_blog_card_content .date .tag {
  text-decoration: none;
  font-size: 17px;
  margin-left: 6px;
  font-weight: 700;
  color: var(--secondary-clr);
}
.homeblogsection_main_wrapper_blog_card
  .homeblogsection_main_wrapper_blog_card_content
  .homeblogsection_main_wrapper_blog_card_content_title {
  /* border: 1px solid red; */
  color: var(--black-clr);
  font-weight: 500;
  margin-top: 12px;
  font-size: 17px;

  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  text-decoration: none;
}

/* .homeblogsection_main_wrapper_blog_card_content_readbtn {
  font-size: 12px;
  font-weight: 500;
  width: 65%;
  text-align: end;
  margin-top: 20px;
  color: var(--primary-clr);
} */

#blog-slider {
  transition: transform 0.5s ease-in-out;
  overflow: hidden; /* Hide overflow */
  max-height: 700px; /* Adjust to the number of visible blogs */
}
.blog_head_bg {
  /* border: 1px solid red; */
  font-size: 88px;
  font-weight: 800;
  text-align: end;
  color: var(--light-white-clr);
  opacity: 0.1;
  margin-top: -50px;
  padding: 0;
}
.homeblog_buttons {
  /* border: 1px solid red; */
  display: flex;
  height: auto;
  justify-content: end;
  align-items: start;

  padding-top: 150px;
}
.homeblog_buttons button {
  margin: 20px;
  border: none;
  outline: none;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--white-clr);
  border-radius: 50%;
  border: 2px solid var(--dark-clr);
  color: var(--dark-clr);
  padding: 10px;

  /* border: 1px solid red; */
}

.homeblog_buttons #scrollUpBtn {
  font-size: 50px;
  padding: 6px 10px;
  margin-right: 40px;
}
.homeblog_buttons #scrollDownBtn {
  background: transparent;
  margin-top: 80px;
}

.read_all_blogs_home_btn {
  text-decoration: none;
  color: var(--dark-clr);
  font-weight: 500;
  border: 2px solid var(--dark-clr);
  border-radius: 30px;
  padding: 8px 16px;
  transition: 0.4s all ease;
}
.read_all_blogs_home_btn:hover {
  font-weight: 500;
  color: var(--white-clr);
  background-color: var(--dark-clr);
  border: 2px solid var(--dark-clr);
}

@media (max-width: 426px) {
  .homeblogsection {
    /* border: 1px solid red; */
    /* margin-top: 100px !important; */
    background-image: url("../assets/RDG-page-BG-3\ \(1\).png");
    background-color: #fbfbfb;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;

    padding: 20px 0;
  }
  .homeblogsection_wrapper .row {
    flex-direction: column-reverse;
  }
  .homeblogsection {
    position: relative;
  }

  .homeblogsection_main_wrapper {
    /* border: 2px solid blue; */
    height: 250px;
    overflow: hidden;
    margin-bottom: 30px;
  }

  .homeblogsection_blog_container p {
    font-size: 14px;
    padding-right: 0;
    padding-top: 20px;
  }

  .homeblogsection_main_wrapper_blog_card {
    /* border: 1px solid green; */
    display: flex;
    justify-content: start;
    align-items: start;
    width: 600px;
    margin-bottom: 30px;
  }
  .homeblogsection_main_wrapper_blog_card img {
    /* border: 4px solid black; */
    width: 30%;
    border-radius: 4px;
    /* margin-right: 20px; */
  }
  .homeblogsection_main_wrapper_blog_card_content {
    /* border: 2px solid black; */
    padding-left: 20px;
    width: 70%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  .homeblogsection_main_wrapper_blog_card_content .date {
    font-size: 10px;
    font-weight: 500;
    color: var(--gray-clr);
  }
  .homeblogsection_main_wrapper_blog_card_content .date .tag {
    text-decoration: none;
    font-size: 13px;
    margin-left: 6px;
    font-weight: 700;
    color: var(--secondary-clr);
  }
  .homeblogsection_main_wrapper_blog_card
    .homeblogsection_main_wrapper_blog_card_content
    .homeblogsection_main_wrapper_blog_card_content_title {
    /* border: 1px solid red; */
    color: var(--black-clr);
    font-weight: 500;
    margin-top: 12px;
    font-size: 17px;

    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    text-decoration: none;
  }

  /* .homeblogsection_main_wrapper_blog_card_content_readbtn {
    font-size: 12px;
    font-weight: 500;
    width: 65%;
    text-align: end;
    margin-top: 20px;
    color: var(--primary-clr);
  } */

  #blog-slider {
    transition: transform 0.5s ease-in-out;
    overflow: hidden; /* Hide overflow */
    max-height: 700px; /* Adjust to the number of visible blogs */
  }
  .blog_head_bg {
    /* border: 1px solid red; */
    display: none;
  }
  .homeblog_buttons {
    /* border: 1px solid red; */
    display: flex;
    justify-content: end;
    align-items: start;

    padding-top: 0;

    position: absolute;
    top: 0;
    right: 10px;
  }
  .homeblog_buttons button {
    margin: 8px;
    border: none;
    outline: none;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--white-clr) !important;
    border-radius: 50%;
    border: 2px solid var(--dark-clr);
    color: var(--dark-clr) !important;
    padding: 10px;
    /* border: 1px solid red; */
  }

  .homeblog_buttons #scrollUpBtn {
    font-size: 16px;
    padding: 6px 8px;
    margin-right: 8px;
  }
  .homeblog_buttons #scrollDownBtn {
    background: transparent;
    margin-top: 10px;
  }
}

@media (min-width: 426px) and (max-width: 768px) {
  .homeblogsection {
    /* border: 1px solid red; */
    /* margin-top: 100px !important; */
    background-image: url("../assets/RDG-page-BG-3\ \(1\).png");
    background-color: #fbfbfb;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;

    padding: 20px 0;
  }
  .homeblogsection_wrapper .row {
    flex-direction: column-reverse;
  }
  .homeblogsection {
    position: relative;
  }

  .homeblogsection_main_wrapper {
    /* border: 2px solid blue; */
    height: 250px;
    overflow: hidden;
    margin-bottom: 30px;
  }

  .homeblogsection_blog_container p {
    font-size: 14px;
    padding-right: 0;
    padding-top: 20px;
  }

  .homeblogsection_main_wrapper_blog_card {
    /* border: 1px solid green; */
    display: flex;
    justify-content: start;
    align-items: start;
    width: 600px;
    margin-bottom: 30px;
  }
  .homeblogsection_main_wrapper_blog_card img {
    /* border: 4px solid black; */
    width: 30%;
    border-radius: 4px;
    /* margin-right: 20px; */
  }
  .homeblogsection_main_wrapper_blog_card_content {
    /* border: 2px solid black; */
    padding-left: 20px;
    width: 70%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  .homeblogsection_main_wrapper_blog_card_content .date {
    font-size: 10px;
    font-weight: 500;
    color: var(--gray-clr);
  }
  .homeblogsection_main_wrapper_blog_card_content .date .tag {
    text-decoration: none;
    font-size: 13px;
    margin-left: 6px;
    font-weight: 700;
    color: var(--secondary-clr);
  }
  .homeblogsection_main_wrapper_blog_card
    .homeblogsection_main_wrapper_blog_card_content
    .homeblogsection_main_wrapper_blog_card_content_title {
    /* border: 1px solid red; */
    color: var(--black-clr);
    font-weight: 500;
    margin-top: 12px;
    font-size: 17px;

    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    text-decoration: none;
  }

  /* .homeblogsection_main_wrapper_blog_card_content_readbtn {
    font-size: 12px;
    font-weight: 500;
    width: 65%;
    text-align: end;
    margin-top: 20px;
    color: var(--primary-clr);
  } */

  #blog-slider {
    transition: transform 0.5s ease-in-out;
    overflow: hidden; /* Hide overflow */
    max-height: 700px; /* Adjust to the number of visible blogs */
  }
  .blog_head_bg {
    /* border: 1px solid red; */
    display: none;
  }
  .homeblog_buttons {
    /* border: 1px solid red; */
    display: flex;
    justify-content: end;
    align-items: start;

    padding-top: 0;

    position: absolute;
    top: 0;
    right: 10px;
  }
  .homeblog_buttons button {
    margin: 8px;
    border: none;
    outline: none;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--white-clr) !important;
    border-radius: 50%;
    border: 2px solid var(--dark-clr);
    color: var(--dark-clr) !important;
    padding: 10px;
    /* border: 1px solid red; */
  }

  .homeblog_buttons #scrollUpBtn {
    font-size: 16px;
    padding: 6px 8px;
    margin-right: 8px;
  }
  .homeblog_buttons #scrollDownBtn {
    background: transparent;
    margin-top: 10px;
  }
}

@media (min-width: 1560px) and (max-width: 1920px) {
  .homeblog_buttons {
    /* border: 1px solid red; */
    display: flex;
    height: auto;
    justify-content: end;
    align-items: start;

    padding-top: 150px;
    margin-right: -90px;
  }
  .homeblog_buttons button {
    margin: 20px;
    border: none;
    outline: none;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--white-clr);
    border-radius: 50%;
    border: 2px solid var(--dark-clr);
    color: var(--dark-clr);
    padding: 10px;

    /* border: 1px solid red; */
  }
}

@media (min-width: 1560px) and (max-width: 1920px) {
  .homeblog_buttons {
    /* border: 1px solid red; */
    display: flex;
    height: auto;
    justify-content: end;
    align-items: start;

    padding-top: 150px;
    margin-right: -90px;
  }
  .homeblog_buttons button {
    margin: 20px;
    border: none;
    outline: none;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--white-clr);
    border-radius: 50%;
    border: 2px solid var(--dark-clr);
    color: var(--dark-clr);
    padding: 10px;

    /* border: 1px solid red; */
  }
}
